import bpy
from . import component_types as ct
from .components_core import *


def set_components(obj, comps):
    if comps == None or len(comps) == 0:
        if "penicillin_components" in obj.keys():
            del obj["penicillin_components"]
    else:
        obj["penicillin_components"] = ",".join(comps)


def list_components(obj):
    st = obj.get("penicillin_components", None)
    if not st: return set()
    return set(st.split(","))